[arch-commits] Commit in gstreamer0.10-bad-plugins/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 1 11:23:41 EDT 2008


    Date: Thursday, May 1, 2008 @ 11:23:41
  Author: jgc
Revision: 1161

upgpkg: gstreamer0.10-bad-plugins 0.10.7-1

Modified:
  gstreamer0.10-bad-plugins/trunk/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-01 15:03:24 UTC (rev 1160)
+++ PKGBUILD	2008-05-01 15:23:41 UTC (rev 1161)
@@ -2,32 +2,30 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gstreamer0.10-bad-plugins
-pkgver=0.10.6
-pkgrel=2
+pkgver=0.10.7
+pkgrel=1
 pkgdesc="GStreamer Multimedia Framework Bad Plugins (gst-plugins-bad)"
 arch=(i686 x86_64)
 license=('LGPL' 'GPL')
-depends=('gstreamer0.10-bad>=0.10.6-2' 'xvidcore' 'libdca' 'bzip2' 'libdc1394>=2.0.1' 'exempi' 'jack-audio-connection-kit' 'neon>=0.27.2' 'faac>=1.26' 'libexif' 'musicbrainz>=2.1.5' 'faad2>=2.6' 'libmms' 'x264>=20071202' 'libcdaudio' 'libmpcdec' 'libsoup>=2.4.0' 'mjpegtools')
+depends=('gstreamer0.10-bad>=0.10.7' 'xvidcore' 'libdca' 'bzip2' 'libdc1394>=2.0.1' 'exempi' 'jack-audio-connection-kit' 'neon>=0.27.2' 'faac>=1.26' 'libexif' 'musicbrainz>=2.1.5' 'faad2>=2.6' 'libmms' 'x264>=20071202' 'libcdaudio' 'libmpcdec' 'mjpegtools')
 makedepends=('pkgconfig')
-provides=("gstreamer0.10-soup=${pkgver}" "gstreamer0.10-cdaudio=${pkgver}" "gstreamer0.10-musicbrainz=${pkgver}" "gstreamer0.10-sndfile=${pkgver}" "gstreamer0.10-mpeg2enc=${pkgver}" "gstreamer0.10-bz2=${pkgver}" "gstreamer0.10-sdl=${pkgver}" "gstreamer0.10-faac=${pkgver}" "gstreamer0.10-alsaspdif=${pkgver}" "gstreamer0.10-xvid=${pkgver}" "gstreamer0.10-faad=${pkgver}" "gstreamer0.10-musepack=${pkgver}" "gstreamer0.10-mms=${pkgver}" "gstreamer0.10-x264=${pkgver}" "gstreamer0.10-neon=${pkgver}" "gstreamer0.10-ladspa=${pkgver}" "gstreamer0.10-dts=${pkgver}" "gstreamer0.10-jack=${pkgver}" "gstreamer0.10-metadata=${pkgver}" "gst-plugins-bad=${pkgver}")
-conflicts=('gstreamer0.10-soup' 'gstreamer0.10-cdaudio' 'gstreamer0.10-musicbrainz' 'gstreamer0.10-sndfile' 'gstreamer0.10-mpeg2enc' 'gstreamer0.10-bz2' 'gstreamer0.10-sdl' 'gstreamer0.10-faac' 'gstreamer0.10-alsaspdif' 'gstreamer0.10-xvid' 'gstreamer0.10-faad' 'gstreamer0.10-musepack' 'gstreamer0.10-mms' 'gstreamer0.10-x264' 'gstreamer0.10-neon' 'gstreamer0.10-ladspa' 'gstreamer0.10-dts' 'gstreamer0.10-jack' 'gstreamer0.10-metadata')
-replaces=('gstreamer0.10-soup' 'gstreamer0.10-cdaudio' 'gstreamer0.10-musicbrainz' 'gstreamer0.10-sndfile' 'gstreamer0.10-mpeg2enc' 'gstreamer0.10-bz2' 'gstreamer0.10-sdl' 'gstreamer0.10-faac' 'gstreamer0.10-alsaspdif' 'gstreamer0.10-xvid' 'gstreamer0.10-faad' 'gstreamer0.10-musepack' 'gstreamer0.10-mms' 'gstreamer0.10-x264' 'gstreamer0.10-neon' 'gstreamer0.10-ladspa' 'gstreamer0.10-dts' 'gstreamer0.10-jack' 'gstreamer0.10-metadata')
+provides=("gstreamer0.10-cdaudio=${pkgver}" "gstreamer0.10-musicbrainz=${pkgver}" "gstreamer0.10-sndfile=${pkgver}" "gstreamer0.10-mpeg2enc=${pkgver}" "gstreamer0.10-bz2=${pkgver}" "gstreamer0.10-sdl=${pkgver}" "gstreamer0.10-faac=${pkgver}" "gstreamer0.10-alsaspdif=${pkgver}" "gstreamer0.10-xvid=${pkgver}" "gstreamer0.10-faad=${pkgver}" "gstreamer0.10-musepack=${pkgver}" "gstreamer0.10-mms=${pkgver}" "gstreamer0.10-x264=${pkgver}" "gstreamer0.10-neon=${pkgver}" "gstreamer0.10-ladspa=${pkgver}" "gstreamer0.10-dts=${pkgver}" "gstreamer0.10-jack=${pkgver}" "gstreamer0.10-metadata=${pkgver}" "gst-plugins-bad=${pkgver}")
+conflicts=('gstreamer0.10-cdaudio' 'gstreamer0.10-musicbrainz' 'gstreamer0.10-sndfile' 'gstreamer0.10-mpeg2enc' 'gstreamer0.10-bz2' 'gstreamer0.10-sdl' 'gstreamer0.10-faac' 'gstreamer0.10-alsaspdif' 'gstreamer0.10-xvid' 'gstreamer0.10-faad' 'gstreamer0.10-musepack' 'gstreamer0.10-mms' 'gstreamer0.10-x264' 'gstreamer0.10-neon' 'gstreamer0.10-ladspa' 'gstreamer0.10-dts' 'gstreamer0.10-jack' 'gstreamer0.10-metadata')
+replaces=('gstreamer0.10-cdaudio' 'gstreamer0.10-musicbrainz' 'gstreamer0.10-sndfile' 'gstreamer0.10-mpeg2enc' 'gstreamer0.10-bz2' 'gstreamer0.10-sdl' 'gstreamer0.10-faac' 'gstreamer0.10-alsaspdif' 'gstreamer0.10-xvid' 'gstreamer0.10-faad' 'gstreamer0.10-musepack' 'gstreamer0.10-mms' 'gstreamer0.10-x264' 'gstreamer0.10-neon' 'gstreamer0.10-ladspa' 'gstreamer0.10-dts' 'gstreamer0.10-jack' 'gstreamer0.10-metadata')
 url="http://gstreamer.freedesktop.org/"
 options=(!libtool)
 _relname=gst-plugins-bad
 groups=('gstreamer0.10-plugins')
 source=(${url}/src/${_relname}/${_relname}-${pkgver}.tar.bz2
-	dc1394-2.0.patch
 	gcc-4.3.patch)
-md5sums=('fb47838aa0ccef52683cea5d89364053'
+md5sums=('9a511c9e9a0510ca4e212ce1d67e2cba'
 	 '817a795801d35b9a94d46a1d2d54b41c'
 	 '465061b77bbb7303a782f1d8083d00bd')
 
 build() {
   cd ${startdir}/src/${_relname}-${pkgver}
-  patch -Np0 -i ${startdir}/src/dc1394-2.0.patch || return 1
-  patch -Np0 -i ${startdir}/src/gcc-4.3.patch || return 1
-  autoconf || return 1
+  #patch -Np0 -i ${startdir}/src/gcc-4.3.patch || return 1
+  #autoconf || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
     --disable-static --enable-experimental \
     --disable-docs-build --disable-plugin-docs \





More information about the arch-commits mailing list